export default class IdAllocator {
    private static registry;
    private value;
    private prefix;
    private constructor();
    static create(prefix: string): IdAllocator;
    generate(): string;
    /**
     * Stores the current state of all instances into an object
     * that can be used with the `restore` method to return all
     * of the instances back to the previous point in time.
     * @returns snapshot
     */
    static snapshot(): Record<string, number>;
    /**
     * @param snapshot If provided, all instances will be reset
     * to the state they were in when the snapshot was created.
     * Otherwise, all instances will be reset to being as if
     * they were just created.
     */
    static restore(snapshot?: Record<string, number>): void;
}
//# sourceMappingURL=IdAllocator.d.ts.map